title_name = "Blue Dragon"
title_id = "4D5307DF" # MS-2015
hash = "3C19B6F951F93D49" # Disc 1/2/3, default.xex
#media_id = [
#    "3A702998", # Disc 1 (USA, Europe): http://redump.org/disc/11826
#    "1D8CBD9D", # Disc 2 (USA, Europe): http://redump.org/disc/11825
#    "05C08AC4", # Disc 3 (USA, Europe): http://redump.org/disc/11824
#]

[[patch]]
    name = "Enable Wireframe"
    desc = "Significantly impacts performance. Useful for viewing aspects of levels."
    author = "illusion"
    is_enabled = false

    [[patch.be32]]
        address = 0x82132d68
        value = 0x39600001

[[patch]]
    name = "Enable Camera Bounding Box"
    author = "illusion"
    is_enabled = false

    [[patch.be32]]
        address = 0x821340b0
        value = 0x39600001

[[patch]]
    name = "60 FPS (WIP)"
    desc = "Work-in-progress, can be improved upon by others. Causes softlocks in battles."
    author = "illusion"
    is_enabled = false

    [[patch.be32]]
        address = 0x820ce6bc # Will need to find a way to write 3f00 rather than nop.
        value = 0x60000000
    [[patch.be32]]
        address = 0x821a0640
        value = 0x60000000
    [[patch.be32]]
        address = 0x8273664c
        value = 0x60000000
    [[patch.be16]]
        address = 0x82dec57c # Game speed
        value = 0x3f00
    [[patch.be16]]
        address = 0x82dda880 # Battle speed; disabling this avoids softlocks, but doubles speed.
        value = 0x3f00
    [[patch.be32]]
        address = 0x8246ab68 # Vsync flip rate
        value = 0x39400001

[[patch]]
    name = "Debug Menu"
    author = "Wylie"
    is_enabled = false

    [[patch.be32]] # Labels
        address = 0x820ce708
        value = 0x39600001
    [[patch.be32]] # Debug Content Start
        address = 0x820ce808
        value = 0x396000ff
    [[patch.be32]] # Debug Content End
        address = 0x820ce818
        value = 0x39600000
    [[patch.be32]] # Debug Menu
        address = 0x820c0f80
        value = 0x60000000
    [[patch.be32]] # Main Content
        address = 0x820c1094
        value = 0x60000000
    [[patch.be32]] # Achievements To Tools
        address = 0x820c0dbc
        value = 0x60000000
    [[patch.be32]] # Message Test 1 to Tools
        address = 0x820c0df8
        value = 0x60000000
    [[patch.be32]] # Message Test 2 to Tools
        address = 0x820c0e34
        value = 0x60000000
